;*****************************************************************************
;* Programm:     FLASH.INC
;* Controller:   68HC11A1
;* Anwendung:    Dieses Programm ist zum Downloaden von
;*               Software in ein Flash (Erst ein Anfang...)
;*               residenter Programmteil um zu switchen
;* Autor:    N. Springob
;* Datum:    26.01.2000
;*****************************************************************************
;*
;*          Flash-RAM Zugriffsroutinen
;*
;*****************************************************************************

Window      EQU $7000
Addr5555    EQU $6555
Addr2AAA    EQU $6AAA

ActPage     DC.B 1

;*****************************************************************************
;*
;*      Flash_Write
;*          ACCA: Datum
;*          RegY: Adresse
;*
;*****************************************************************************
Flash_Write:
    PSHB
    LDAB #$AA
    STAB Addr5555
    LDAB #$55
    STAB Addr2AAA
    LDAB #$A0
    STAB Addr5555
    STAA 0,Y
WriteLoop:
    CMPA 0,Y
    BNE WriteLoop
    PULB
    RTS

;*****************************************************************************
;*
;*      Flash_EraseBlock
;*          ACCA: Datum
;*          RegY: Adresse
;*
;*****************************************************************************
Flash_EraseBlock:
    PSHB
    LDAB #$AA
    STAB Addr5555
    LDAB #$55
    STAB Addr2AAA
    LDAB #$A0
    STAB Addr5555
    STAA 0,Y
WriteLoop:
    CMPA 0,Y
    BNE WriteLoop
    PULB
    RTS

;*****************************************************************************
;*
;*      Flash_EraseChip
;*          ACCA: Datum
;*          RegY: Adresse
;*
;*****************************************************************************
Flash_EraseChip:
    PSHB
    LDAB #$AA
    STAB Addr5555
    LDAB #$55
    STAB Addr2AAA
    LDAB #$80
    STAB Addr5555
    LDAB #$AA
    STAB Addr5555
    LDAB #$55
    STAB Addr2AAA
    LDAB #$10
    STAB Addr5555
WriteLoop:
    LDAA Addr5555
    ANDA #$80
    BNE WriteLoop
    PULB
    RTS

;*****************************************************************************
;*
;*      Flash_Reset
;*          ACCA: Datum
;*          RegY: Adresse
;*
;*****************************************************************************
Flash_Reset:
    PSHB
    LDAB #$AA
    STAB Addr5555
    LDAB #$55
    STAB Addr2AAA
    LDAB #$A0
    STAB Addr5555
    STAA 0,Y
WriteLoop:
    CMPA 0,Y
    BNE WriteLoop
    PULB
    RTS



