;*****************************************************************************
;* Datei:   REG6811.INC
;*****************************************************************************
;*
;*          Register Definitions
;*          for 68HC11
;*
;*****************************************************************************
;* Autor:   Motorolla and N. Springob
;* Datum:   26.01.2000
;* Controller:  68HC11
;*****************************************************************************

PORTA       EQU $00     ;I/O Port A
PIOC        EQU $01     ;Parallel I/O Control
PORTC       EQU $03     ;I/O Port C
PORTB       EQU $04     ;I/O Port B
PORTCL      EQU $05     ;Latched Port C
DDRC        EQU $07     ;Data Direction for Port C
PORTD       EQU $08     ;I/O Port D
DDRD        EQU $09     ;Data Direction for Port D
PORTE       EQU $0A     ;Input Port E
CFORC       EQU $0B     ;Compare Force Register
OC1M        EQU $0C     ;OC1 Action Mask Register
OC1D        EQU $0D     ;OC1 Action Data Register
TCNT        EQU $0E     ;Timer Counter Register
TIC1        EQU $10     ;Input Capture 1 Register
TIC2        EQU $12     ;Input Capture 2 Register
TIC3        EQU $14     ;Input Capture 3 Register
TOC1        EQU $16     ;Output Compare 1 Register
TOC2        EQU $18     ;Output Compare 2 Register
TOC3        EQU $1A     ;Output Compare 3 Register
TOC4        EQU $1C     ;Output Compare 4 Register
TOC5        EQU $1E     ;Output Compare 5 Register
TCTL1       EQU $20     ;Timer Control Register 1
TCTL2       EQU $21     ;Timer Control Register 2
TMSK1       EQU $22     ;Timer Interrupt Mask Register 2
TFLG1       EQU $23     ;Timer Interrupt Flag Register 1
TMSK2       EQU $24     ;Timer Interrupt Mask Register 2
TFLG2       EQU $25     ;Timer Interrupt Flag Register 2
PACTL       EQU $26     ;Pulse Accumulator Control Register
PACNT       EQU $27     ;Pulse Accumulator Count Register
SPCR        EQU $28     ;SPI Control Register
SPSR        EQU $29     ;SPI Status Register
SPDR        EQU $2A     ;SPI Data Register
BAUD        EQU $2B     ;SCI Baud Rate Control
SCCR1       EQU $2C     ;SCI Control Register 1
SCCR2       EQU $2D     ;SCI Control Register 2
SCSR        EQU $2E     ;SCI Status Register
SCDR        EQU $2F     ;SCI Data Register
ADCTL       EQU $30     ;A/D Control Register
ADR1        EQU $31     ;A/D Result Register 1
ADR2        EQU $32     ;A/D Result Register 2
ADR3        EQU $33     ;A/D Result Register 3
ADR4        EQU $34     ;A/D Result Register 4
BPROT       EQU $35     ;Block Protect (nur E-Familie!!)
EPROG       EQU $36     ;EEPROM Program Register (nur E20!!)
OPTION      EQU $39     ;Option
COPRST      EQU $3A     ;COP Watchdog Reset
PPROG       EQU $3B     ;EEPROM Program Control Register
HPRIO       EQU $3C     ;Highest Priority and Miscellaneous
INIT        EQU $3D     ;RAM and I/O Mapping
CONFIG      EQU $3F     ;COP, ROM, and EEPROM Enables


